import { ElementRef } from '@angular/core';
import { ProvidersService } from 'fccore2';
import { FcComponent } from '../fc';
/**
 * fc-modalcard卡片模态框
 *
 * 模态框中可以嵌入任何组件。
 *
 * 当模态框需要嵌入组件时。
 *
 * 事件：
 *
 * 1.确定事件：okFunc
 *
 * 2.取消事件：cancelFunc
 *
 */
export declare class FcmodalcardComponent extends FcComponent {
    provider: ProvidersService;
    fcVisiable: boolean;
    template: ElementRef;
    templateFooter: ElementRef;
    fcToken: string;
    /**标题*/
    fcTitle: string;
    /**宽度*/
    fcWidth: string;
    /**底部*/
    fcFooter: any;
    constructor(provider: ProvidersService);
    ngOnInit(): void;
    /**
     * 打开弹窗组件
     * @param template
     */
    openTemplateDialog(template: any, param?: any): void;
    ngOnDestroy(): void;
}
